[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TCustomSplitter.SetResizeControl

Sets the value for the ResizeControl property.

## Declaration

Source position: extctrls.pp line 409

`protected procedure TCustomSplitter.SetResizeControl(`
`const AValue: TControl`
`); virtual;`

## Arguments

`AValue` |  | New value for the ResizeControl property.

## Description

SetResizeControl ensures that the splitter control is repositioned so that it is guaranteed to be closest to the new control in AValue. It updates the Left or Top coordinate in the splitter based on the following values in the Align property:

alLeft
  Adjusts Left to be one pixel larger than the value in AValue.
alRight
  Adjusts Left to be one pixel smaller than the value in AValue.
alTop
  Adjusts Top to be one pixel larger than the value in AValue.
alBottom
  Adjusts Top to be one pixel smaller than the value in AValue.
alClient
  No changes are made to Left or Top. AValue is assigned as the control for the AnchorSide at the position in ResizeAnchor.

## See also

TCustomSplitter.ResizeControl |  | Contains the aligned control that is resized when the splitter is moved.
TCustomSplitter.ResizeAnchor |  | Indicates the orientation and alignment for the splitter control.
TCustomSplitter.Align |  | Specifies the aligned edge for the splitter within its Parent and relative to ResizeControl.
TControl.AnchorSide |  | Array of anchor definitions, indexed by the control sides.
TControl.Left |  | The client coordinate with the left edge for the control.
TControl.Top |  | The client coordinate for the top edge of the control.